{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/occurrence/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/occurrence/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('person_management_occurrence_overview', {'personId': person.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Vorgang bearbeiten</span>
        {% if is_granted('edit', occurrence) == true %}
            {{ form_widget(occurrenceForm.save, {'label': 'SPEICHERN', 'id': occurrenceForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% endif %}
        {% if is_granted('delete', occurrence) == true %}
            {% set listItems = [
                {
                    'label': 'Vorgang löschen',
                    'url': path('person_management_occurrence_delete', {'personId': person.getId(), 'occurrenceId': occurrence.getId()}),
                    'icon': 'delete_forever'
                },
            ] %}
            {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'person_occurrence_occurrence','listItems': listItems} only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-4">
            {% if is_granted('edit', occurrence) == true %}
                {{ form_start(occurrenceForm, {'attr': {'id': occurrenceForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'person_management/form/occurrence/occurrence_form.html.twig' with {'form': occurrenceForm, 'personSelectType': occurrenceForm.person} only %}
            {% if is_granted('edit', occurrence) == true %}
                {{ form_row(occurrenceForm._token) }}
                {{ form_end(occurrenceForm, {'render_rest': false}) }}
            {% endif %}
        </div>
        <div class="mdc-card p-4 mb-4">
            {% include 'person_management/component/occurrence/occurrence_attachment_component.html.twig' with {
                'occurrence': occurrence,
                'idPrefix': 'person_occurrence_',
                'canUpload': is_granted('edit', occurrence),
                'redirectUrl':  path('person_management_occurrence_edit', {'personId': person.getId(), 'occurrenceId': occurrence.getId()}),
            } only %}
        </div>
    </div>
{% endblock %}
